
package de.ivu.elect.presentation.ergebnis.menu;

import javax.inject.Inject;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.wahl.boundary.WahlSessionSelect;
import de.ivu.elect.presentation.ergebnis.ErgebnisSearchView;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public class ErgebnisSearchMenuItemEntry extends AbstractMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private WahlSessionSelect wahlSessionSelect;

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(UseCasePermission.ERGEBNIS_SEARCH);
  }

  @Override
  public String getLabelKey() {
    return "ergebnis.search.menu.item.label";
  }

  @Override
  public String getTargetViewId() {
    return ErgebnisSearchView.VIEW_ID;
  }

  @Override
  public boolean isDisabledInternal() {
    return !wahlSessionSelect.isSelected();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

  @Override
  public String getIcon() {
    return getIcons().getIconSearch();
  }
}
